/*start Global Rules*/
*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
:root{
    --main-color:#10cab7;
    --second-color:#2c4755;
}
body{
    font-family: 'Work Sans', sans-serif;;
}
.continer{
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}
/*media screen*/
/*small*/
@media (min-width:768px) {
    .continer{
        width: 750px;
    }    
}
/*medium*/
@media (min-width:992px) {
    .continer{
        width: 970px;
    }
}
/*large*/
@media (min-width:1200px) {
    .continer{
        width: 1170px;
    }    
}

/*end global rules*/
/*start spacial heading*/
.spacial-heading{
    font-size: 120px;
    font-weight: 900;
    color: #ebeced;
    text-align: center;
    margin: 0;
    letter-spacing: -8px;
    text-transform: capitalize;
}
.spacial-heading + p{
    text-align: center;
 margin: -30px 0 0;
 color: #777;
 font-size: 15px;
}
@media (max-width:767px) {
    .spacial-heading{
        font-size: 80px;
    }
    .spacial-heading + p{
        margin-top: -20px;
    }  
}
/*end spacial heading*/
/* Start Header*/
.header{
    padding: 20px;
    background-color: var(--second-color);
}
.header .continer{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header .logo{
    width: 60px;
   
}
.header .links{
    position: relative;
}
.header .links .icon{
    width: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}
.header .links:hover .icon span:nth-child(2){
    width: 100%;
}
.header .links .icon span{
    background-color: white;
    margin-bottom: 5px;
    height: 2px;
}
.header .links .icon span:first-child{
    width: 100%;
}
.header .links .icon span:nth-child(2){
    width: 60%;
    transition: 0.3s;
}
.header .links .icon span:last-child{
    width: 100%;
}
.header .links ul{
    list-style: none;
    padding: 0;
    margin: 0;
    background-color: ghostwhite;
    position: absolute;
    right: 0;
    top: calc(100% + 10px);
    min-width: 200px;
    display: none;
    border-radius: 5px;
    border-top-right-radius: 0;
    box-shadow: 2px 2px 5px #ddd;
}
.header .links:hover ul{
    display: block;
    z-index: 1;
}
.header .links ul::before{
    content: "";
    border: 10px solid;
    border-color: transparent transparent ghostwhite transparent;
    position: absolute;
    top: -20px;
    right: 5px;
}
.header .links ul a{
    display: block;
    padding: 15px;
    text-decoration: none;
    color: #333;
    transition: 0.3s;
}
.header .links ul li:not(:last-child) {
    border-bottom: 1px solid #ddd;
}
.header .links ul a:hover{
    margin-left: 15px;
    color: var(--main-color);
}
/* End Header */
/*start landing */
.landing{
    background-image: url(../image/mountiain-black-white.jpg);
    background-size: cover;
    height: calc(100vh - 64px);
    position: relative;
}
.landing .intro-text{
    position: absolute;
    top: 50%;
    left: 50%;
   transform: translate(-50% , -50%);
   width: 320px;
   max-width: 100%;
}
.landing .intro-text h1{
    margin: 0;
    color: var(--main-color);
    font-weight: bold;
    text-align: center;
    font-size: 45px;
    text-transform: uppercase;
}
.landing .intro-text p{
    text-align: center;
    text-transform: capitalize;
  font-size: 19px;
  line-height: 1.8;
  color: white;
  position: relative;
  font-weight: bold;
  padding-top: 20px;
  padding-bottom: 20px;
}
.landing .intro-text p::after{
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--main-color);
    position: absolute;
    bottom: 0;
    right: 0;
}
.landing .intro-text p::before{
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--main-color);
    position: absolute;
    top: 0;
    right: 0;
}
/* end landing*/
/* start features*/
.features{
    padding-top: 60px;
    padding-bottom: 60px;
    background-color: #f6f6f6;
}
.features .continer{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 20px;
}
.features .feat{
    padding: 20px;
    text-align: center;
}
.features .feat i{
    color: var(--main-color);
    font-size: 30px;
}
.features .feat h3{
font-weight: 1000;
text-transform: uppercase;
}
.features .feat p{
    line-height: 1.4;
    color: #777;
    font-size: 17px;
}
/* end features*/
/*start services*/
.services{
    padding-top: 60px;
    padding-bottom: 60px;
}
.services .services-content{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 30px;
    margin-top: 100px;
}
.services .services-content .srv{
    display: flex;
    margin-bottom: 40px;
}
.services .services-content .srv i{
    
    color: var(--main-color);
    flex-basis: 100px;
    font-size: 30px;
    margin-right: 20px;
}
.services .services-content .srv text{
    flex: 1;
}
.services .services-content .srv h3{
    text-transform: uppercase;
    margin: 0 0 20px;
}
.services .services-content .srv p{
    text-transform: capitalize;
    line-height: 1.6;
}
.services .services-content .image{
    position: relative;
    text-align: center;
}
.services .services-content .image img{
    width: 260px;
    height: 360px;
    box-shadow: -1px 1px 2px var(--second-color);
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}
 .image::before {
    content: "";
    width: 100px;
    height: 120%;
    position: absolute;
    top: -10%;
    right: 18px;
    background-color:var(--second-color);
    z-index: -1;
}

@media  (max-width:767px){
    .services .services-content .srv{
        text-align: center;
        display: block;
    }
        .services .services-content .srv i{
            margin-bottom: 20px;
            font-size: 30px;
            text-align: center;
        }
}
@media (max-width:1199px){
    .services .services-content .image img{
        display: none;
    }
}
/*end services*/
/*start portfolio*/
.Portfolio{
    padding-top: 60px;
    padding-bottom: 60px;
    background-color: #f6f6f6;
}
.Portfolio .portfolio-content{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 30px;
    margin-top: 100px;
}
.Portfolio .portfolio-content .card{
    background-color: white;
    box-shadow: 2px 2px 10px gainsboro;
   border-bottom-left-radius: 10px;
   border-bottom-right-radius: 10px;
}
.Portfolio .portfolio-content .card img{
    width: 100%;
}
.Portfolio .portfolio-content .card .info{
    padding: 20px;
}
.Portfolio .portfolio-content .card .info h3{
    margin: 0;
}
.Portfolio .portfolio-content .card .info p{
    color: #777;
    margin-bottom: 0;
    line-height: 1.6;
}
@media (max-width:767px){
    .Portfolio .portfolio-content .card .info{
        text-align: center;
    }
}

/*end portfolio*/
/*start about*/
.about{
    padding-top: 60px;
    padding-bottom: 60px;
}
.about .about-content{
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
@media (max-width:991px){
    .about .about-content{
        flex-direction: column;
        text-align: center;
    }
}
.about .about-content .image1{
    position:relative;
    width: 250px;
    height: 375px;
    margin-left: 30px;

}
@media (max-width:991px) {
    .about .about-content .image1{
        margin: 0 auto 60px;
    }
}
.about .about-content .image1::before{
    content: "";
    position: absolute;
    width: 80px;
    height: calc(100% + 50px);
    background-color: #ebeced;
    top: -40px;
    z-index: -1;
    left: -10px;
}
.about .about-content .image1::after{
    content: "";
    position: absolute;
    width: 80px;
    height: 60%;
    border-left: 80px solid var(--main-color);
    border-bottom: 80px solid var(--main-color);
    right: -60px;
    top: -15px;
    z-index: -1;
}
.about .about-content .image1 img{
    max-width: 100%;
    height: 90%;
    border-radius: 10px;
    box-shadow: 2px 2px 10px gainsboro;
}
.about .about-content .text{
    flex-basis: calc(100% - 500px);
}
.about .about-content .text p:first-of-type{
    font-weight: bolder;
    line-height: 2;
    margin-bottom: 50px;
}
.about .about-content .text p:last-of-type{
    line-height: 2;
    color: #777;
}
.about .about-content .text hr{
    width: 50%;
    display: inline-block;
    border-color: var(--main-color);
    margin-bottom: 0;
}

/*end about*/
/*start contact*/
.contact{
    padding-top: 60px;
    padding-bottom: 60px;
    background-color: #f6f6f6;
}
.contact .contact-content{
    margin-top: 100px;
    text-align: center;
  
}
.contact .contact-content .info p{
    font-weight: bolder;
    font-size: xx-large;
    text-align: center;
    color: var(--second-color);
    margin-bottom: 10px;
}
.contact .contact-content .info .link{
    text-decoration: none;
    font-weight: bolder;
    font-size: xx-large;
    text-align: center;
    color: var(--main-color);
    margin-bottom: 10px;
}
@media (max-width:767px) {
    .contact .contact-content .info p,
    .contact .contact-content .info .link{
        font-size: x-large;
    }
}
.contact .contact-content .social{
    margin-top: 30px;
}
.contact .contact-content .social i{
    margin-left: 20px;
    color: var(--second-color);
}

/* end contact*/
/*start footer*/
.footer{
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: var(--second-color);
    text-align: center;
}
.footer p{
    color: white;
    font-weight: bolder;
}
.footer p span{
    color:var(--main-color);
}
/*end footer*/
